求教frida的问题

设备: iPhone 6
系统: iOS10.3.3 已越狱
问题: cydia 源https://build.frida.re中的frida无法正常安装了

本来是报错一直连接失败,报错404,尝试过wifi和流量,尝试了很多次,但是在编辑这条信息的时候竟然连接成功了,囧


尝试手动安装frida来解决

frida releases中找到对应的版本frida64_14.2.8_iphoneos-arm.deb

拷贝到手机里安装,同样的报错

尝试旧版本 14.0.8

因为Mac上的frida的版本是14.0.8
image

通果

怎么才能解决这个问题

请问各位大佬们,现在怎么才能正常安装

一个额外额问题





大佬们帮忙扫个盲,这些版本分别有什么区别?

**➜** **~** frida --version
14.2.2

pip3 install -r req.txt

frida>=14.2.2
frida-tools>=7.1.0

啥意思0.0 我的依赖版本不对吗?

用这个再装一遍

 sudo pip3 install -r req.txt

而且这个不是Mac上的命令吗

我出问题的是iPhone上。。。 iPhone上的frida无法安装成功

手机的dpkg版本太低,不支持xz命令,可以试试把deb解压,然后换成lzma压缩打包。

2 Likes

兄弟 你的机器有点老了, 错误信息写的很清楚,由于缺少xz utils 导致 ,增加一个源 下载 XZutils,

增加如下源:http://apt.bingner.com/ 搜索XZ util 安装上就好了.

这是同样的案例:Frida for per-A12 devices 安装失败

1 Like

谢谢了 按照你方法已解决

客气了,因为我也遇到了你这样的问题

我也遇到了,直接从GitHub上下载dpkg,在Mac上解压,然后手动复制到手机上